local COMBAT_EVENTS = {
	["SWING_DAMAGE"] = "DAMAGE",
	["RANGE_DAMAGE"] = "DAMAGE",
	["SPELL_DAMAGE"] = "DAMAGE",
	["SPELL_PERIODIC_DAMAGE"] = "DAMAGE",
	["ENVIRONMENTAL_DAMAGE"] = "DAMAGE",
	["DAMAGE_SHIELD"] = "DAMAGE",
	["DAMAGE_SPLIT"] = "DAMAGE",
	["SPELL_HEAL"] = "HEAL",
	["SPELL_PERIODIC_HEAL"] = "HEAL",
	["SWING_MISSED"] = "MISS",
	["RANGE_MISSED"] = "MISS",
	["SPELL_MISSED"] = "MISS",
	["SPELL_PERIODIC_MISSED"] = "MISS",
	["DAMAGE_SHIELD_MISSED"] = "MISS",
	["SPELL_DRAIN"] = "DRAIN",
	["SPELL_LEECH"] = "DRAIN",
	["SPELL_PERIODIC_DRAIN"] = "DRAIN",
	["SPELL_PERIODIC_LEECH"] = "DRAIN",
	["SPELL_ENERGIZE"] = "POWER",
	["SPELL_PERIODIC_ENERGIZE"] = "POWER",
	["SPELL_INTERRUPT"] = "INTERRUPT",
	["PARTY_KILL"] = "DEATH",
	["UNIT_DIED"] = "DEATH",
	["UNIT_DESTROYED"] = "DEATH",
	["SPELL_AURA_REFRESH"] = "BUFF",
	["SPELL_AURA_APPLIED"] = "BUFF",
	["SPELL_PERIODIC_AURA_REFRESH"] = "BUFF",
	["SPELL_PERIODIC_AURA_APPLIED"] = "BUFF",
	["SPELL_AURA_APPLIED_DOSE"] = "BUFF",
	["SPELL_PERIODIC_AURA_APPLIED_DOSE"] = "BUFF",
	["SPELL_AURA_REMOVED"] = "FADE",
	["SPELL_PERIODIC_AURA_REMOVED"] = "FADE",
	["SPELL_AURA_REMOVED_DOSE"] = "FADE",
	["SPELL_PERIODIC_AURA_REMOVED_DOSE"] = "FADE",
	["ENCHANT_APPLIED"] = "ENCHANT_APPLIED",
	["ENCHANT_REMOVED"] = "ENCHANT_REMOVED",
	["SPELL_SUMMON"] = "SUMMON",
	["SPELL_CREATE"] = "SUMMON",
	["SPELL_CAST_SUCCESS"] = "SUCCESS",
	["SPELL_CAST_START"] = "SPELLSTART",
}

function pootpoot:GetShamanDefaults()
	local shamandefaults = {
		profile = {
			stormstrike = "Stormstrike!",
			stormstriketgl = true,
			stormstrikechance = 1,
			lightningbolt = "Lightning Bolt!",
			lightningbolttgl = false,
			lightningboltcrit = true,
			lightningboltchance = 1,
			lightningboltcast = "Casting Lightning Bolt!",
			lightningboltcasttgl = true,
			lightningboltcastchance = 0.25,
			earthshock = "Earth Shock!",
			earthshocktgl = true,
			earthshockcrit = true,
			earthshockchance = 1,
			flameshock = "Flame Shock!",
			flameshocktgl = true,
			flameshockcrit = true,
			flameshockchance = 1,
			purge = "Purge!",
			purgetgl = true,
			purgechance = 1,
			frostshock = "Frost Shock!",
			frostshocktgl = true,
			frostshockcrit = true,
			frostshockchance = 1,
			chainlightning = "Chain Lightning!",
			chainlightningtgl = true,
			chainlightningcrit = true,
			chainlightningchance = 1,
			bloodlust = "Bloodlust!",	-- Heroism for alliance
			bloodlusttgl = true,
			bloodlustchance = 1,
			thunderstorm = "Thunderstorm!",
			thunderstormtgl = true,
			thunderstormchance = 1,
			feralspirit = "Feral Spirit!",
			feralspirittgl = true,
			feralspiritchance = 1,
			riptide = "Riptide!",
			riptidetgl = true,
			riptidechance = 1
		}
	}
	return shamandefaults
end

function pootpoot:ParseShamanCombat(arg1, timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, ...)
	local etype = COMBAT_EVENTS[event]
	local healtot, healamt, parent
	local amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing
	local spellId, spellName, spellSchool, missType, powerType, extraAmount, environmentalType, extraSpellId, extraSpellName, extraSpellSchool, auraType, overHeal
	local text, texture, message, inout, color

	if self.db.profile.instancetgl == false then
		if pootpoot.zoneenable == true then
			return
		end
	end

  	if not etype then
  		return
  	end

	local fromPlayer, fromPet
	if (sourceName and not CombatLog_Object_IsA(sourceFlags, COMBATLOG_OBJECT_NONE) ) then
		fromPlayer = CombatLog_Object_IsA(sourceFlags, COMBATLOG_FILTER_MINE)
	end
	if (destName and not CombatLog_Object_IsA(destFlags, COMBATLOG_OBJECT_NONE) ) then
		toPlayer = CombatLog_Object_IsA(destFlags, COMBATLOG_FILTER_MINE)
		toTarget = CombatLog_Object_IsA(destFlags, COMBATLOG_OBJECT_TARGET)
	end

	--if not from player or pet, then end
	if fromPlayer then
		if etype == "DAMAGE" then
			if event == "SWING_DAMAGE" then
				amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing = select(1, ...)
			else
				spellId, spellName, spellSchool, amount, overDamage, school, resisted, blocked, absorbed, critical, glancing, crushing = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
			text = tostring(amount)
			if event == "SPELL_DAMAGE" then
				if spellName == "Lightning Bolt" then
					if (self.db.profile.lightningbolttgl) then
						if (self.db.profile.lightningboltcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.lightningboltchance*100)) then
									self:DispPootMsg( self.db.profile.lightningbolt, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.lightningboltchance*100)) then
							self:DispPootMsg( self.db.profile.lightningbolt, "SAY" )
						end
					end
				elseif spellName == "Earth Shock" then
					if (self.db.profile.earthshocktgl) then
						if (self.db.profile.earthshockcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.earthshockchance*100)) then
									self:DispPootMsg( self.db.profile.earthshock, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.earthshockchance*100)) then
							self:DispPootMsg( self.db.profile.earthshock, "SAY" )
						end
					end
				elseif spellName == "Flame Shock" then
					if (self.db.profile.flameshocktgl) then
						if (self.db.profile.flameshockcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.flameshockchance*100)) then
									self:DispPootMsg( self.db.profile.flameshock, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.flameshockchance*100)) then
							self:DispPootMsg( self.db.profile.flameshock, "SAY" )
						end
					end
				elseif spellName == "Frost Shock" then
					if (self.db.profile.frostshocktgl) then
						if (self.db.profile.frostshockcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.frostshockchance*100)) then
									self:DispPootMsg( self.db.profile.frostshock, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.frostshockchance*100)) then
							self:DispPootMsg( self.db.profile.frostshock, "SAY" )
						end
					end
				elseif spellName == "Chain Lightning" then
					if (self.db.profile.chainlightningtgl) then
						if (self.db.profile.chainlightningcrit) then
							if (critical) then
								if (math.random(100) <= (self.db.profile.chainlightningchance*100)) then
									self:DispPootMsg( self.db.profile.chainlightning, "SAY" )
								end
							end
						elseif (math.random(100) <= (self.db.profile.chainlightningchance*100)) then
							self:DispPootMsg( self.db.profile.chainlightning, "SAY" )
						end
					end
				end
			end
		elseif etype == "SUCCESS" then
			if event == "SPELL_CAST_SUCCESS" then
				spellId, spellName, spellSchool = select(1, ...)
				if spellName == "Purge" then
					if (self.db.profile.purgetgl) then
						if (math.random(100) <= (self.db.profile.purgechance*100)) then
							self:DispPootMsg( self.db.profile.purge, "SAY" )
						end
					end
				elseif spellName == "Bloodlust" or spellName == "Heroism" then
					if (self.db.profile.bloodlusttgl) then
						if (math.random(100) <= (self.db.profile.bloodlustchance*100)) then
							self:DispPootMsg( self.db.profile.bloodlust, "SAY" )
						end
					end
				elseif spellName == "Stormstrike" and spellId == 32175 then
					if (self.db.profile.stormstriketgl) then
						if (math.random(100) <= (self.db.profile.stormstrikechance*100)) then
							self:DispPootMsg( self.db.profile.stormstrike, "SAY" )
						end
					end
				elseif spellName == "Thunderstorm" and spellId == 32175 then
					if (self.db.profile.thunderstormtgl) then
						if (math.random(100) <= (self.db.profile.thunderstormchance*100)) then
							self:DispPootMsg( self.db.profile.thunderstorm, "SAY" )
						end
					end
				elseif spellName == "Feral Spirit" and spellId == 32175 then
					if (self.db.profile.feralspirittgl) then
						if (math.random(100) <= (self.db.profile.feralspiritchance*100)) then
							self:DispPootMsg( self.db.profile.feralspirit, "SAY" )
						end
					end
				elseif spellName == "Riptide" and spellId == 32175 then
					if (self.db.profile.riptidetgl) then
						if (math.random(100) <= (self.db.profile.riptidechance*100)) then
							self:DispPootMsg( self.db.profile.riptide, "SAY" )
						end
					end
				end
			end
		elseif etype == "MISS" then
			if event == "SPELL_MISSED" then
				spellId, spellName, spellSchool, missType, amountMissed  = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		elseif etype == "SPELLSTART" then
			if event == "SPELL_CAST_START" then
				spellId, spellName, spellSchool = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
				if spellName == "Lightning Bolt" then
					if (self.db.profile.lightningboltcasttgl) then
						if (math.random(100) <= (self.db.profile.lightningboltcastchance*100)) then
							self:DispPootMsg( self.db.profile.lightningboltcast, "SAY" )
						end
					end
				end
			end
		elseif etype == "BUFF" then
			if event == "SPELL_AURA_APPLIED" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		end
		if etype == "POWER" then
			--if event == "SPELL_ENERGIZE" then
			--	spellId, spellName, spellSchool, amount, powerType = select(1, ...)
			--	texture = select(3, GetSpellInfo(spellId))
			--end
		end
	elseif toPlayer then
		if etype == "BUFF" then
			if event == "SPELL_AURA_REFRESH" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		end
	end
	if fromPlayer and toTarget then
		if destName then -- REDUNDANT?
			if event == "SPELL_AURA_APPLIED" then
				spellId, spellName, spellSchool, auraType = select(1, ...)
				texture = select(3, GetSpellInfo(spellId))
			end
		end
	end
end