local pootpoot = LibStub("AceAddon-3.0"):GetAddon("pootpoot")

local aboutopts = {
	type = "group",
	handler = pootpoot,
	args = {
		aboutdesc = {
			type = "description",
			name = "PootPoot " .. pootpoot.version .. " \n\nEmotes:\n\n/poot\n/foam\n/bong\n",
			cmdHidden = true,
		},
		aboutui = {
			type = "execute",
			name = "PootPoot GUI",
			desc = "Opens Configuration Dialog",
			func = "OpenPootConfig",
			cmdHidden = true,
		}
	}
}

local function getpootopts()
	local options = {
		type = "group",
		args = {
			ui = {
				order = 1,
				type = "execute",
				name = "PootPoot GUI",
				desc = "Opens Configuration Dialog",
				func = "OpenPootConfig",
				guiHidden = true,
			},
			profiles = {
				order = 2,
				type = "execute",
				name = "PootPoot Profiles GUI",
				desc = "Opens Profile Configuration Dialog",
				func = "OpenPootProfileConfig",
				guiHidden = true,
			},
			desc = {
				type = "description",
				name = "PootPoot " .. pootpoot.version .. "\n",
				cmdHidden = true,
			},
			hunterspells = {
				type = "group",
				handler = pootpoot,
				name = "Hunter",
				desc = "Hunter Spells",
				args = {
					hunterdesc = {
						order = 1,
						type = "description",
						name = "Hunter Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablehunt = {
						order = 2,
						type = "execute",
						name = "Disable Hunter Spells",
						desc = "Disables all Hunter spells",
						func = "DisableHunterSpells",
					},
					arcaneshotgrp = {
						type = "group",
						handler = pootpoot,
						name = "Arcane Shot",
						desc = "Arcane Shot Options",
						args = {
							arcaneshot = {
								order = 1,
								type = "input",
								name = "Arcane Shot",
								desc = "Arcane Shot string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							arcaneshottgl = {
								order = 2,
								type = "toggle",
								name = "Arcane Shot Toggle",
								desc = "Toggles the display of the Arcane Shot string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							arcaneshotcrit = {
								order = 3,
								type = "toggle",
								name = "Arcane Shot Crit Toggle",
								desc = "Toggles the display of the Arcane Shot string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							arcaneshotchance = {
								order = 4,
								type = "range",
								name = "Arcane Shot Chance",
								desc = "Chance of Arcane Shot string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					chimerashotgrp = {
						type = "group",
						handler = pootpoot,
						name = "Chimera Shot",
						desc = "Chimera Shot Options",
						args = {
							chimerashot = {
								order = 1,
								type = "input",
								name = "Chimera Shot",
								desc = "Chimera Shot string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							chimerashottgl = {
								order = 2,
								type = "toggle",
								name = "Chimera Shot Toggle",
								desc = "Toggles the display of the Chimera Shot string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							chimerashotcrit = {
								order = 3,
								type = "toggle",
								name = "Chimera Shot Crit Toggle",
								desc = "Toggles the display of the Chimera Shot string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							chimerashotchance = {
								order = 4,
								type = "range",
								name = "Chimera Shot Chance",
								desc = "Chance of Chimera Shot string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					explosiveshotgrp = {
						type = "group",
						handler = pootpoot,
						name = "Explosive Shot",
						desc = "Explosive Shot Options",
						args = {
							explosiveshot = {
								order = 1,
								type = "input",
								name = "Explosive Shot",
								desc = "Explosive Shot string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							explosiveshottgl = {
								order = 2,
								type = "toggle",
								name = "Explosive Shot Toggle",
								desc = "Toggles the display of the Explosive Shot string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							explosiveshotcrit = {
								order = 3,
								type = "toggle",
								name = "Explosive Shot Crit Toggle",
								desc = "Toggles the display of the Explosive Shot string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							explosiveshotchance = {
								order = 4,
								type = "range",
								name = "Explosive Shot Chance",
								desc = "Chance of Explosive Shot string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			shamanspells = {
				type = "group",
				handler = pootpoot,
				name = "Shaman",
				desc = "Shaman Spells",
				args = {
					shamandesc = {
						order = 1,
						type = "description",
						name = "Shaman Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablesham = {
						order = 2,
						type = "execute",
						name = "Disable Shaman Spells",
						desc = "Disables all Shaman spells",
						func = "DisableShamanSpells",
					},
					stormstrikegrp = {
						type = "group",
						handler = pootpoot,
						name = "Stormstrike",
						desc = "Stormstrike Options",
						args = {
							stormstrike = {
								order = 1,
								type = "input",
								name = "Stormstrike",
								desc = "Stormstrike string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							stormstriketgl = {
								order = 2,
								type = "toggle",
								name = "Stormstrike Toggle",
								desc = "Toggles the display of the Stormstrike string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							stormstrikechance = {
								order = 3,
								type = "range",
								name = "Stormstrike Chance",
								desc = "Chance of Stormstrike string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					lightningboltgrp = {
						type = "group",
						handler = pootpoot,
						name = "Lightning Bolt",
						desc = "Lightning Bolt Options",
						args = {
							lightningbolt = {
								order = 1,
								type = "input",
								name = "Lightning Bolt",
								desc = "Lightning Bolt string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							lightningbolttgl = {
								order = 2,
								type = "toggle",
								name = "Lightning Bolt Toggle",
								desc = "Toggles the display of the Lightning Bolt string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							lightningboltcrit = {
								order = 3,
								type = "toggle",
								name = "Lightning Bolt Crit Toggle",
								desc = "Toggles the display of the Lightning Bolt string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							lightningboltchance = {
								order = 4,
								type = "range",
								name = "Lightning Bolt Chance",
								desc = "Chance of Lightning Bolt string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							},
							lightningboltcast = {
								order = 5,
								type = "input",
								name = "Lightning Bolt Cast",
								desc = "Lightning Bolt Casting string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							lightningboltcasttgl = {
								order = 6,
								type = "toggle",
								name = "Lightning Bolt Cast Toggle",
								desc = "Toggles the display of the Lightning Bolt Cast string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							lightningboltcastchance = {
								order = 7,
								type = "range",
								name = "Lightning Bolt Cast Chance",
								desc = "Chance of Lightning Bolt Cast string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					earthshockgrp = {
						type = "group",
						handler = pootpoot,
						name = "Earthshock",
						desc = "Earthshock Options",
						args = {
							earthshock = {
								order = 1,
								type = "input",
								name = "Earthshock",
								desc = "Earthshock string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							earthshocktgl = {
								order = 2,
								type = "toggle",
								name = "Earthshock Toggle",
								desc = "Toggles the display of the Earthshock string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							earthshockcrit = {
								order = 3,
								type = "toggle",
								name = "Earthshock Crit Toggle",
								desc = "Toggles the display of the Earthshock string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							earthshockchance = {
								order = 4,
								type = "range",
								name = "Earthshock Chance",
								desc = "Chance of Earthshock string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					flameshockgrp = {
						type = "group",
						handler = pootpoot,
						name = "Flameshock",
						desc = "Flameshock Options",
						args = {
							flameshock = {
								order = 1,
								type = "input",
								name = "Flameshock",
								desc = "Flameshock string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							flameshocktgl = {
								order = 2,
								type = "toggle",
								name = "Flameshock Toggle",
								desc = "Toggles the display of the Flameshock string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							flameshockcrit = {
								order = 3,
								type = "toggle",
								name = "Flameshock Crit Toggle",
								desc = "Toggles the display of the Flameshock string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							flameshockchance = {
								order = 4,
								type = "range",
								name = "Flameshock Chance",
								desc = "Chance of Flameshock string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					purgegrp = {
						type = "group",
						handler = pootpoot,
						name = "Purge",
						desc = "Purge Options",
						args = {
							purge = {
								order = 1,
								type = "input",
								name = "Purge",
								desc = "Purge string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							purgetgl = {
								order = 2,
								type = "toggle",
								name = "Purge Toggle",
								desc = "Toggles the display of the Purge string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							purgechance = {
								order = 3,
								type = "range",
								name = "Purge Chance",
								desc = "Chance of Purge string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					frostshockgrp = {
						type = "group",
						handler = pootpoot,
						name = "Frostshock",
						desc = "Frostshock Options",
						args = {
							frostshock = {
								order = 1,
								type = "input",
								name = "Frostshock",
								desc = "Frostshock string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							frostshocktgl = {
								order = 2,
								type = "toggle",
								name = "Frostshock Toggle",
								desc = "Toggles the display of the Frostshock string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							frostshockcrit = {
								order = 3,
								type = "toggle",
								name = "Frostshock Crit Toggle",
								desc = "Toggles the display of the Frostshock string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							frostshockchance = {
								order = 4,
								type = "range",
								name = "Frostshock Chance",
								desc = "Chance of Frostshock string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					chainlightninggrp = {
						type = "group",
						handler = pootpoot,
						name = "Chain Lightning",
						desc = "Chain Lightning Options",
						args = {
							chainlightning = {
								order = 1,
								type = "input",
								name = "Chain Lightning",
								desc = "Chain Lightning string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							chainlightningtgl = {
								order = 2,
								type = "toggle",
								name = "Chain Lightning Toggle",
								desc = "Toggles the display of the Chain Lightning string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							chainlightningcrit = {
								order = 3,
								type = "toggle",
								name = "Chain Lightning Crit Toggle",
								desc = "Toggles the display of the Chain Lightning string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							chainlightningchance = {
								order = 4,
								type = "range",
								name = "Chain Lightning Chance",
								desc = "Chance of Chain Lightning string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					bloodlustgrp = {
						type = "group",
						handler = pootpoot,
						name = "Bloodlust/Heroism",
						desc = "Bloodlust Options",
						args = {
							bloodlust = {
								order = 1,
								type = "input",
								name = "Bloodlust",
								desc = "Bloodlust string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							bloodlusttgl = {
								order = 2,
								type = "toggle",
								name = "Bloodlust Toggle",
								desc = "Toggles the display of the Bloodlust string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							bloodlustchance = {
								order = 3,
								type = "range",
								name = "Bloodlust Chance",
								desc = "Chance of Bloodlust string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					thunderstormgrp = {
						type = "group",
						handler = pootpoot,
						name = "Thunderstorm",
						desc = "Thunderstorm Options",
						args = {
							thunderstorm = {
								order = 1,
								type = "input",
								name = "Thunderstorm",
								desc = "Thunderstorm string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							thunderstormtgl = {
								order = 2,
								type = "toggle",
								name = "Thunderstorm Toggle",
								desc = "Toggles the display of the Thunderstorm string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							thunderstormchance = {
								order = 3,
								type = "range",
								name = "Thunderstorm Chance",
								desc = "Chance of Thunderstorm string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					feralspiritgrp = {
						type = "group",
						handler = pootpoot,
						name = "Feral Spirit",
						desc = "Feral Spirit Options",
						args = {
							feralspirit = {
								order = 1,
								type = "input",
								name = "Feral Spirit",
								desc = "Feral Spirit string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							feralspirittgl = {
								order = 2,
								type = "toggle",
								name = "Feral Spirit Toggle",
								desc = "Toggles the display of the Feral Spirit string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							feralspiritchance = {
								order = 3,
								type = "range",
								name = "Feral Spirit Chance",
								desc = "Chance of Feral Spirit string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					riptidegrp = {
						type = "group",
						handler = pootpoot,
						name = "Riptide",
						desc = "Riptide Options",
						args = {
							riptide = {
								order = 1,
								type = "input",
								name = "Riptide",
								desc = "Riptide string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							riptidetgl = {
								order = 2,
								type = "toggle",
								name = "Riptide Toggle",
								desc = "Toggles the display of the Riptide string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							riptidechance = {
								order = 3,
								type = "range",
								name = "Riptide Chance",
								desc = "Chance of Riptide string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			warriorspells = {
				type = "group",
				handler = pootpoot,
				name = "Warrior",
				desc = "Warrior Spells",
				args = {
					warriordesc = {
						order = 1,
						type = "description",
						name = "Warrior Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablewarr = {
						order = 2,
						type = "execute",
						name = "Disable Warrior Spells",
						desc = "Disables all Warrior spells",
						func = "DisableWarriorSpells",
					},
					chargegrp = {
						type = "group",
						handler = pootpoot,
						name = "Charge",
						desc = "Charge Options",
						args = {
							charge = {
								order = 1,
								type = "input",
								name = "Charge",
								desc = "Charge, Intercept and Intervene string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							chargetgl = {
								order = 2,
								type = "toggle",
								name = "Charge Toggle",
								desc = "Toggles the display of the Charge string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							chargechance = {
								order = 3,
								type = "range",
								name = "Charge Chance",
								desc = "Chance of Charge string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					executegrp = {
						type = "group",
						handler = pootpoot,
						name = "Execute",
						desc = "Execute Options",
						args = {
							execute = {
								order = 4,
								type = "input",
								name = "Execute",
								desc = "Execute string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							executetgl = {
								order = 5,
								type = "toggle",
								name = "Execute Toggle",
								desc = "Toggles the display of the Execute string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							executecrit = {
								order = 6,
								type = "toggle",
								name = "Execute Crit Toggle",
								desc = "Toggles the display of the Execute string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							executechance = {
								order = 7,
								type = "range",
								name = "Execute Chance",
								desc = "Chance of Execute string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					mortalstrikegrp = {
						type = "group",
						handler = pootpoot,
						name = "Mortal Strike",
						desc = "Mortal Strike Options",
						args = {
							mortalstrike = {
								order = 8,
								type = "input",
								name = "Mortal Strike",
								desc = "Mortal Strike string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							mortalstriketgl = {
								order = 9,
								type = "toggle",
								name = "Mortal Strike Toggle",
								desc = "Toggles the display of the Mortal Strike string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							mortalstrikecrit = {
								order = 10,
								type = "toggle",
								name = "Mortal Strike Crit Toggle",
								desc = "Toggles the display of the Mortal Strike string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							mortalstrikechance = {
								order = 11,
								type = "range",
								name = "Mortal Strike Chance",
								desc = "Chance of Mortal Strike string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					bloodthirstgrp = {
						type = "group",
						handler = pootpoot,
						name = "Bloodthirst",
						desc = "Bloodthirst Options",
						args = {
							bloodthirst = {
								order = 12,
								type = "input",
								name = "Bloodthirst",
								desc = "Bloodthirst string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							bloodthirsttgl = {
								order = 13,
								type = "toggle",
								name = "Bloodthirst Toggle",
								desc = "Toggles the display of the Bloodthirst string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							bloodthirstcrit = {
								order = 14,
								type = "toggle",
								name = "Bloodthirst Crit Toggle",
								desc = "Toggles the display of the Bloodthirst string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							bloodthirstchance = {
								order = 15,
								type = "range",
								name = "Bloodthirst Chance",
								desc = "Chance of Bloodthirst string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					shieldslamgrp = {
						type = "group",
						handler = pootpoot,
						name = "Shield Slam",
						desc = "Shield Slam Options",
						args = {
							shieldslam = {
								order = 19,
								type = "input",
								name = "Shield Slam",
								desc = "Shield Slam string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shieldslamtgl = {
								order = 20,
								type = "toggle",
								name = "Shield Slam Toggle",
								desc = "Toggles the display of the Shield Slam string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shieldslamcrit = {
								order = 21,
								type = "toggle",
								name = "Shield Slam Crit Toggle",
								desc = "Toggles the display of the Shield Slam string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shieldslamchance = {
								order = 22,
								type = "range",
								name = "Shield Slam Chance",
								desc = "Chance of Shield Slam string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					tauntgrp = {
						type = "group",
						handler = pootpoot,
						name = "Taunt",
						desc = "Taunt Options",
						args = {
							taunt = {
								order = 1,
								type = "input",
								name = "Taunt",
								desc = "Taunt string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							tauntresist = {
								order = 2,
								type = "input",
								name = "Taunt Resist",
								desc = "Taunt resist string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							taunttgl = {
								order = 3,
								type = "toggle",
								name = "Taunt Toggle",
								desc = "Toggles the display of the Taunt and Taunt Resist string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							tauntresisttgl = {
								order = 4,
								type = "toggle",
								name = "Taunt Resist Toggle",
								desc = "Toggles the display of only the Taunt Resist string.(Turns off Taunt string)",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							tauntchance = {
								order = 5,
								type = "range",
								name = "Taunt Chance",
								desc = "Chance of Taunt string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					devastategrp = {
						type = "group",
						handler = pootpoot,
						name = "Devastate",
						desc = "Devastate Options",
						args = {
							devastate = {
								order = 1,
								type = "input",
								name = "Devastate",
								desc = "Devastate string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							devastatetgl = {
								order = 2,
								type = "toggle",
								name = "Devastate Toggle",
								desc = "Toggles the display of the Devastate string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							devastatecrit = {
								order = 3,
								type = "toggle",
								name = "Devastate Crit Toggle",
								desc = "Toggles the display of Devastate string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							devastatechance = {
								order = 4,
								type = "range",
								name = "Devastate Chance",
								desc = "Chance of Taunt string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					bladestormgrp = {
						type = "group",
						handler = pootpoot,
						name = "Bladestorm",
						desc = "Bladestorm Options",
						args = {
							bladestorm = {
								order = 1,
								type = "input",
								name = "Bladestorm",
								desc = "Bladestorm string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							bladestormtgl = {
								order = 2,
								type = "toggle",
								name = "Bladestorm Toggle",
								desc = "Toggles the display of the Bladestorm string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							bladestormchance = {
								order = 3,
								type = "range",
								name = "Bladestorm Chance",
								desc = "Chance of Bladestorm string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					shockwavegrp = {
						type = "group",
						handler = pootpoot,
						name = "Shockwave",
						desc = "Shockwave Options",
						args = {
							shockwave = {
								order = 1,
								type = "input",
								name = "Shockwave",
								desc = "Shockwave string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shockwavetgl = {
								order = 2,
								type = "toggle",
								name = "Shockwave Toggle",
								desc = "Toggles the display of the Shockwave string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shockwavechance = {
								order = 3,
								type = "range",
								name = "Shockwave Chance",
								desc = "Chance of Shockwave string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					heroicleapgrp = {
						type = "group",
						handler = pootpoot,
						name = "Heroic Leap",
						desc = "Heroic Leap Options",
						args = {
							heroicleap = {
								order = 1,
								type = "input",
								name = "Heroic Leap",
								desc = "Heroic Leap string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							heroicleaptgl = {
								order = 2,
								type = "toggle",
								name = "Heroic Leap Toggle",
								desc = "Toggles the display of the Heroic Leap string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							heroicleapchance = {
								order = 3,
								type = "range",
								name = "Heroic Leap Chance",
								desc = "Chance of Heroic Leap string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					colossussmashgrp = {
						type = "group",
						handler = pootpoot,
						name = "Colossus Smash",
						desc = "Colossus Smash Options",
						args = {
							colossussmash = {
								order = 1,
								type = "input",
								name = "Colossus Smash",
								desc = "Colossus Smash string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							colossussmashtgl = {
								order = 2,
								type = "toggle",
								name = "Colossus Smash Toggle",
								desc = "Toggles the display of the Colossus Smash string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							colossussmashcrit = {
								order = 3,
								type = "toggle",
								name = "Colossus Smash Crit Toggle",
								desc = "Toggles the display of Colossus Smash string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							colossussmashchance = {
								order = 4,
								type = "range",
								name = "Colossus Smash Chance",
								desc = "Chance of Taunt string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					rallyingcrygrp = {
						type = "group",
						handler = pootpoot,
						name = "Rallying Cry",
						desc = "Rallying Cry Options",
						args = {
							rallyingcry = {
								order = 1,
								type = "input",
								name = "Rallying Cry",
								desc = "Rallying Cry string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							rallyingcrytgl = {
								order = 2,
								type = "toggle",
								name = "Rallying Cry Toggle",
								desc = "Toggles the display of the Rallying Cry string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							rallyingcrychance = {
								order = 4,
								type = "range",
								name = "Rallying Cry Chance",
								desc = "Chance of Taunt string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			magespells = {
				type = "group",
				handler = pootpoot,
				name = "Mage",
				desc = "Mage Spells",
				args = {
					magedesc = {
						order = 1,
						type = "description",
						name = "Mage Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablemage = {
						order = 2,
						type = "execute",
						name = "Disable Mage Spells",
						desc = "Disables all Mage spells",
						func = "DisableMageSpells",
					},
					firegrp = {
						type = "group",
						handler = pootpoot,
						name = "Fire",
						desc = "Fire Options",
						args = {
							fire = {
								order = 1,
								type = "input",
								name = "Fire",
								desc = "Fireball, Fire Blast, Pyroblast and Dragon's Breath string. Outputs on crit.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							fireballtgl = {
								order = 2,
								type = "toggle",
								name = "Fireball Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							fireballcasttgl = {
								order = 3,
								type = "toggle",
								name = "Fireball Casting Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							fireblasttgl = {
								order = 4,
								type = "toggle",
								name = "Fireblast Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							pyroblasttgl = {
								order = 5,
								type = "toggle",
								name = "Pyroblast Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							pyroblastcasttgl = {
								order = 6,
								type = "toggle",
								name = "Pyroblast Casting Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							scorchtgl = {
								order = 7,
								type = "toggle",
								name = "Scorch Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							scorchcasttgl = {
								order = 8,
								type = "toggle",
								name = "Scorch Casting Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							dragonsbreathtgl = {
								order = 9,
								type = "toggle",
								name = "Dragon's Breath Toggle",
								desc = "Toggles the display of the Fire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							firecrit = {
								order = 10,
								type = "toggle",
								name = "Fire Crit Toggle",
								desc = "Toggles the display of the Fire string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							firechance = {
								order = 11,
								type = "range",
								name = "Fire Chance",
								desc = "Chance of Fire string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							},
							firecastchance = {
								order = 12,
								type = "range",
								name = "Fire Casting Chance",
								desc = "Chance of Fire string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					frostgrp = {
						type = "group",
						handler = pootpoot,
						name = "Frost",
						desc = "Frost Options",
						args = {
							frost = {
								order = 1,
								type = "input",
								name = "Frost",
								desc = "Frostbolt and Cone of Cold string. Outputs on crit.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							frostbolttgl = {
								order = 2,
								type = "toggle",
								name = "Frostbolt Toggle",
								desc = "Toggles the display of the Frost string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							frostboltcasttgl = {
								order = 3,
								type = "toggle",
								name = "Frostbolt Casting Toggle",
								desc = "Toggles the display of the Frost string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							coneofcoldtgl = {
								order = 4,
								type = "toggle",
								name = "Cone of Cold Toggle",
								desc = "Toggles the display of the Frost string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							frostcrit = {
								order = 5,
								type = "toggle",
								name = "Frost Crit Toggle",
								desc = "Toggles the display of the Frost string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							frostchance = {
								order = 6,
								type = "range",
								name = "Frost Chance",
								desc = "Chance of Frost string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							},
							frostcastchance = {
								order = 7,
								type = "range",
								name = "Frost Casting Chance",
								desc = "Chance of Frost string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					sheepgrp = {
						type = "group",
						handler = pootpoot,
						name = "Polymorph",
						desc = "Polymorph Options",
						args = {
							polymorph = {
								order = 1,
								type = "input",
								name = "Polymorph",
								desc = "Polymorph string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							polymorphtgl = {
								order = 2,
								type = "toggle",
								name = "Polymorph Toggle",
								desc = "Toggles the display of the Sheep string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							polymorphchance = {
								order = 3,
								type = "range",
								name = "Polymorph Chance",
								desc = "Chance of Sheep string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					blinkgrp = {
						type = "group",
						handler = pootpoot,
						name = "Blink",
						desc = "Blink Options",
						args = {
							blink = {
								order = 1,
								type = "input",
								name = "Blink",
								desc = "Blink string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							blinktgl = {
								order = 2,
								type = "toggle",
								name = "Blink Toggle",
								desc = "Toggles the display of the Blink string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							blinkchance = {
								order = 3,
								type = "range",
								name = "Blink Chance",
								desc = "Chance of Blink string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					arcanebarragegrp = {
						type = "group",
						handler = pootpoot,
						name = "Arcane Barrage",
						desc = "Arcane Barrage Options",
						args = {
							arcanebarrage = {
								order = 1,
								type = "input",
								name = "Arcane Barrage",
								desc = "Arcane Barrage string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							arcanebarragetgl = {
								order = 2,
								type = "toggle",
								name = "Arcane Barrage Toggle",
								desc = "Toggles the display of the Arcane Barrage string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							arcanebarragechance = {
								order = 3,
								type = "range",
								name = "Arcane Barrage Chance",
								desc = "Chance of Arcane Barrage string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					livingbombgrp = {
						type = "group",
						handler = pootpoot,
						name = "Living Bomb",
						desc = "Living Bomb Options",
						args = {
							livingbomb = {
								order = 1,
								type = "input",
								name = "Living Bomb",
								desc = "Living Bomb string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							livingbombtgl = {
								order = 2,
								type = "toggle",
								name = "Living Bomb Toggle",
								desc = "Toggles the display of the Living Bomb string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							livingbombchance = {
								order = 3,
								type = "range",
								name = "Living Bomb Chance",
								desc = "Chance of Living Bomb string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					deepfreezegrp = {
						type = "group",
						handler = pootpoot,
						name = "Deep Freeze",
						desc = "Deep Freeze Options",
						args = {
							deepfreeze = {
								order = 1,
								type = "input",
								name = "Deep Freeze",
								desc = "Deep Freeze string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							deepfreezetgl = {
								order = 2,
								type = "toggle",
								name = "Deep Freeze Toggle",
								desc = "Toggles the display of the Deep Freeze string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							deepfreezechance = {
								order = 3,
								type = "range",
								name = "Deep Freeze Chance",
								desc = "Chance of Deep Freeze string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			warlockspells = {
				type = "group",
				handler = pootpoot,
				name = "Warlock",
				desc = "Warlock Spells",
				args = {
					warlockdesc = {
						order = 1,
						type = "description",
						name = "Warlock Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablewarlock = {
						order = 2,
						type = "execute",
						name = "Disable Warlock Spells",
						desc = "Disables all Warlock spells",
						func = "DisableWarlockSpells",
					},
					shadowboltgrp = {
						type = "group",
						handler = pootpoot,
						name = "Shadow Bolt",
						desc = "Shadow Bolt Options",
						args = {
							shadowbolt = {
								order = 1,
								type = "input",
								name = "Shadow Bolt",
								desc = "Shadow Bolt string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shadowbolttgl = {
								order = 2,
								type = "toggle",
								name = "Shadow Bolt Toggle",
								desc = "Toggles the display of the Shadow Bolt string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowboltcrit = {
								order = 3,
								type = "toggle",
								name = "Shadow Bolt Crit Toggle",
								desc = "Toggles the display of the Shadow Bolt string on crit only.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowboltchance = {
								order = 4,
								type = "range",
								name = "Shadow Bolt Chance",
								desc = "Chance of Shadow Bolt string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							},
							shadowboltcast = {
								order = 5,
								type = "input",
								name = "Shadow Bolt Cast",
								desc = "Shadow Bolt Casting string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shadowboltcasttgl = {
								order = 6,
								type = "toggle",
								name = "Shadow Bolt Cast Toggle",
								desc = "Toggles the display of the Shadow Bolt Cast string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowboltcastchance = {
								order = 7,
								type = "range",
								name = "Shadow Bolt Cast Chance",
								desc = "Chance of Shadow Bolt Cast string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					deathcoilgrp = {
						type = "group",
						handler = pootpoot,
						name = "Death Coil",
						desc = "Death Coil Options",
						args = {
							deathcoil = {
								order = 1,
								type = "input",
								name = "Death Coil",
								desc = "Death Coil string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							deathcoiltgl = {
								order = 2,
								type = "toggle",
								name = "Death Coil Toggle",
								desc = "Toggles the display of the Death Coil string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							deathcoilcrit = {
								order = 3,
								type = "toggle",
								name = "Death Coil Crit Toggle",
								desc = "Toggles the display of the Death Coil string on crit only.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							deathcoilchance = {
								order = 4,
								type = "range",
								name = "Death Coil Chance",
								desc = "Chance of Death Coil string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					lifetapgrp = {
						type = "group",
						handler = pootpoot,
						name = "Life Tap",
						desc = "Life Tap Options",
						args = {
							lifetap = {
								order = 1,
								type = "input",
								name = "Life Tap",
								desc = "Life Tap string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							lifetaptgl = {
								order = 2,
								type = "toggle",
								name = "Life Tap Toggle",
								desc = "Toggles the display of the Life Tap string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							lifetapchance = {
								order = 3,
								type = "range",
								name = "Life Tap Chance",
								desc = "Chance of Life Tap string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					curseofshadowgrp = {
						type = "group",
						handler = pootpoot,
						name = "Curse of Shadow",
						desc = "Curse of Shadow Options",
						args = {
							curseofshadow = {
								order = 1,
								type = "input",
								name = "Curse of Shadow",
								desc = "Curse of Shadow string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							curseofshadowtgl = {
								order = 2,
								type = "toggle",
								name = "Curse of Shadow Toggle",
								desc = "Toggles the display of the Curse of Shadow string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							curseofshadowchance = {
								order = 3,
								type = "range",
								name = "Curse of Shadow Chance",
								desc = "Chance of Curse of Shadow string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					corruptiongrp = {
						type = "group",
						handler = pootpoot,
						name = "Corruption",
						desc = "Corruption Options",
						args = {
							corruption = {
								order = 1,
								type = "input",
								name = "Corruption",
								desc = "Corruption string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							corruptiontgl = {
								order = 2,
								type = "toggle",
								name = "Corruption Toggle",
								desc = "Toggles the display of the Corruption string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							corruptionchance = {
								order = 3,
								type = "range",
								name = "Corruption Chance",
								desc = "Chance of Corruption string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					immolategrp = {
						type = "group",
						handler = pootpoot,
						name = "Immolate",
						desc = "Immolate Options",
						args = {
							immolate = {
								order = 1,
								type = "input",
								name = "Immolate",
								desc = "Immolate string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							immolatetgl = {
								order = 2,
								type = "toggle",
								name = "Immolate Toggle",
								desc = "Toggles the display of the Immolate string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							immolatecrit = {
								order = 3,
								type = "toggle",
								name = "Immolate Crit Toggle",
								desc = "Toggles the display of the Immolate string on crit only.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							immolatechance = {
								order = 4,
								type = "range",
								name = "Immolate Chance",
								desc = "Chance of Immolate string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							},
							immolatecast = {
								order = 5,
								type = "input",
								name = "Immolate Cast",
								desc = "Immolate Casting string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							immolatecasttgl = {
								order = 6,
								type = "toggle",
								name = "Immolate Cast Toggle",
								desc = "Toggles the display of the Immolate Cast string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							immolatecastchance = {
								order = 7,
								type = "range",
								name = "Immolate Cast Chance",
								desc = "Chance of Immolate Cast string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					shadowburngrp = {
						type = "group",
						handler = pootpoot,
						name = "Shadowburn",
						desc = "Shadowburn Options",
						args = {
							shadowburn = {
								order = 1,
								type = "input",
								name = "Shadowburn",
								desc = "Shadowburn string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shadowburntgl = {
								order = 2,
								type = "toggle",
								name = "Shadowburn Toggle",
								desc = "Toggles the display of the Shadowburn string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowburncrit = {
								order = 3,
								type = "toggle",
								name = "Shadowburn Crit Toggle",
								desc = "Toggles the display of the Shadowburn string on crit only.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowburnchance = {
								order = 4,
								type = "range",
								name = "Shadowburn Chance",
								desc = "Chance of Shadowburn string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					howlofterrorgrp = {
						type = "group",
						handler = pootpoot,
						name = "Howl of Terror",
						desc = "Howl of Terror Options",
						args = {
							howlofterror = {
								order = 1,
								type = "input",
								name = "Howl of Terror",
								desc = "Howl of Terror string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							howlofterrortgl = {
								order = 2,
								type = "toggle",
								name = "Howl of Terror Toggle",
								desc = "Toggles the display of the Howl of Terror string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							howlofterrorchance = {
								order = 3,
								type = "range",
								name = "Howl of Terror Chance",
								desc = "Chance of Howl of Terror string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					curseofagonygrp = {
						type = "group",
						handler = pootpoot,
						name = "Curse of Agony",
						desc = "Curse of Agony Options",
						args = {
							curseofagony = {
								order = 1,
								type = "input",
								name = "Curse of Agony",
								desc = "Curse of Agony string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							curseofagonytgl = {
								order = 2,
								type = "toggle",
								name = "Curse of Agony Toggle",
								desc = "Toggles the display of the Curse of Agony string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							curseofagonychance = {
								order = 3,
								type = "range",
								name = "Curse of Agony Chance",
								desc = "Chance of Curse of Agony string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					hellfiregrp = {
						type = "group",
						handler = pootpoot,
						name = "Hellfire",
						desc = "Hellfire Options",
						args = {
							hellfire = {
								order = 1,
								type = "input",
								name = "Hellfire",
								desc = "Hellfire string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							hellfiretgl = {
								order = 2,
								type = "toggle",
								name = "Hellfire Toggle",
								desc = "Toggles the display of the Hellfire string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							hellfirechance = {
								order = 3,
								type = "range",
								name = "Hellfire Chance",
								desc = "Chance of Hellfire string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					incinerategrp = {
						type = "group",
						handler = pootpoot,
						name = "Incinerate",
						desc = "Incinerate Options",
						args = {
							incinerate = {
								order = 1,
								type = "input",
								name = "Incinerate",
								desc = "Incinerate string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							incineratetgl = {
								order = 2,
								type = "toggle",
								name = "Incinerate Toggle",
								desc = "Toggles the display of the Incinerate string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							incineratecrit = {
								order = 3,
								type = "toggle",
								name = "Incinerate Crit Toggle",
								desc = "Toggles the display of the Incinerate string on crit only.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							incineratechance = {
								order = 4,
								type = "range",
								name = "Incinerate Chance",
								desc = "Chance of Incinerate string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							},
							incineratecast = {
								order = 5,
								type = "input",
								name = "Incinerate Cast",
								desc = "Incinerate Casting string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							incineratecasttgl = {
								order = 6,
								type = "toggle",
								name = "Incinerate Cast Toggle",
								desc = "Toggles the display of the Incinerate Cast string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							incineratecastchance = {
								order = 7,
								type = "range",
								name = "Incinerate Cast Chance",
								desc = "Chance of Incinerate Cast string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					curseofweaknessgrp = {
						type = "group",
						handler = pootpoot,
						name = "Curse of Weakness",
						desc = "Curse of Weakness Options",
						args = {
							curseofweakness = {
								order = 1,
								type = "input",
								name = "Curse of Weakness",
								desc = "Curse of Weakness string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							curseofweaknesstgl = {
								order = 2,
								type = "toggle",
								name = "Curse of Weakness Toggle",
								desc = "Toggles the display of the Curse of Weakness string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							curseofweaknesschance = {
								order = 3,
								type = "range",
								name = "Curse of Weakness Chance",
								desc = "Chance of Curse of Weakness string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					curseofrecklessnessgrp = {
						type = "group",
						handler = pootpoot,
						name = "Curse of Recklessness",
						desc = "Curse of Recklessness Options",
						args = {
							curseofrecklessness = {
								order = 1,
								type = "input",
								name = "Curse of Recklessness",
								desc = "Curse of Recklessness string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							curseofrecklessnesstgl = {
								order = 2,
								type = "toggle",
								name = "Curse of Recklessness Toggle",
								desc = "Toggles the display of the Curse of Recklessness string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							curseofrecklessnesschance = {
								order = 3,
								type = "range",
								name = "Curse of Recklessness Chance",
								desc = "Chance of Curse of Recklessness string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					curseoftonguesgrp = {
						type = "group",
						handler = pootpoot,
						name = "Curse of Tongues",
						desc = "Curse of Tongues Options",
						args = {
							curseoftongues = {
								order = 1,
								type = "input",
								name = "Curse of Tongues",
								desc = "Curse of Tongues string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							curseoftonguestgl = {
								order = 2,
								type = "toggle",
								name = "Curse of Tongues Toggle",
								desc = "Toggles the display of the Curse of Tongues string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							curseoftongueschance = {
								order = 3,
								type = "range",
								name = "Curse of Tongues Chance",
								desc = "Chance of Curse of Tongues string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					curseofdoomgrp = {
						type = "group",
						handler = pootpoot,
						name = "Curse of Doom",
						desc = "Curse of Doom Options",
						args = {
							curseofdoom = {
								order = 1,
								type = "input",
								name = "Curse of Doom",
								desc = "Curse of Doom string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							curseofdoomtgl = {
								order = 2,
								type = "toggle",
								name = "Curse of Doom Toggle",
								desc = "Toggles the display of the Curse of Doom string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							curseofdoomchance = {
								order = 4,
								type = "range",
								name = "Curse of Doom Chance",
								desc = "Chance of Curse of Doom string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					seedofcorruptiongrp = {
						type = "group",
						handler = pootpoot,
						name = "Seed of Corruption",
						desc = "Seed of Corruption Options",
						args = {
							seedofcorruption = {
								order = 1,
								type = "input",
								name = "Seed of Corruption",
								desc = "Seed of Corruption string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							seedofcorruptiontgl = {
								order = 2,
								type = "toggle",
								name = "Seed of Corruption Toggle",
								desc = "Toggles the display of the Seed of Corruption string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							seedofcorruptionchance = {
								order = 3,
								type = "range",
								name = "Seed of Corruption Chance",
								desc = "Chance of Seed of Corruption string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					banishgrp = {
						type = "group",
						handler = pootpoot,
						name = "Banish",
						desc = "Banish Options",
						args = {
							banish = {
								order = 1,
								type = "input",
								name = "Banish",
								desc = "Banish string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							banishtgl = {
								order = 2,
								type = "toggle",
								name = "Banish Toggle",
								desc = "Toggles the display of the Banish string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							banishchance = {
								order = 3,
								type = "range",
								name = "Banish Chance",
								desc = "Chance of Banish string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					feargrp = {
						type = "group",
						handler = pootpoot,
						name = "Fear",
						desc = "Fear Options",
						args = {
							fear = {
								order = 1,
								type = "input",
								name = "Fear",
								desc = "Fear string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							feartgl = {
								order = 2,
								type = "toggle",
								name = "Fear Toggle",
								desc = "Toggles the display of the Fear string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							fearchance = {
								order = 3,
								type = "range",
								name = "Fear Chance",
								desc = "Chance of Fear string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					unstableafflictiongrp = {
						type = "group",
						handler = pootpoot,
						name = "Unstable Affliction",
						desc = "Unstable Affliction Options",
						args = {
							unstableaffliction = {
								order = 1,
								type = "input",
								name = "Unstable Affliction",
								desc = "Unstable Affliction string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							unstableafflictiontgl = {
								order = 2,
								type = "toggle",
								name = "Unstable Affliction Toggle",
								desc = "Toggles the display of the Unstable Affliction string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							unstableafflictionchance = {
								order = 3,
								type = "range",
								name = "Unstable Affliction Chance",
								desc = "Chance of Unstable Affliction string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					siphonlifegrp = {
						type = "group",
						handler = pootpoot,
						name = "Siphon Life",
						desc = "Fear Options",
						args = {
							siphonlife = {
								order = 1,
								type = "input",
								name = "Siphon Life",
								desc = "Siphon Life string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							siphonlifetgl = {
								order = 2,
								type = "toggle",
								name = "Siphon Life Toggle",
								desc = "Toggles the display of the Siphon Life string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							siphonlifechance = {
								order = 3,
								type = "range",
								name = "Siphon Life Chance",
								desc = "Chance of Siphon Life string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					dreadsteedgrp = {
						type = "group",
						handler = pootpoot,
						name = "Dreadsteed",
						desc = "Fear Options",
						args = {
							dreadsteed = {
								order = 1,
								type = "input",
								name = "Dreadsteed",
								desc = "Dreadsteed string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							dreadsteedtgl = {
								order = 2,
								type = "toggle",
								name = "Dreadsteed Toggle",
								desc = "Toggles the display of the Dreadsteed string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							dreadsteedchance = {
								order = 3,
								type = "range",
								name = "Dreadsteed Chance",
								desc = "Chance of Dreadsteed string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					shadowflamegrp = {
						type = "group",
						handler = pootpoot,
						name = "Shadowflame",
						desc = "Fear Options",
						args = {
							shadowflame = {
								order = 1,
								type = "input",
								name = "Shadowflame",
								desc = "Shadowflame string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shadowflametgl = {
								order = 2,
								type = "toggle",
								name = "Shadowflame Toggle",
								desc = "Toggles the display of the Shadowflame string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowflameburptgl = {
								order = 3,
								type = "toggle",
								name = "Shadowflame Toggle",
								desc = "Displays burp emote instead of string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowflamechance = {
								order = 4,
								type = "range",
								name = "Shadowflame Chance",
								desc = "Chance of Shadowflame string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					summonfelhuntergrp = {
						type = "group",
						handler = pootpoot,
						name = "Summon Felhunter",
						desc = "Fear Options",
						args = {
							summonfelhunter = {
								order = 1,
								type = "input",
								name = "Summon Felhunter",
								desc = "Summon Felhunter string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							summonfelhuntertgl = {
								order = 2,
								type = "toggle",
								name = "Summon Felhunter Toggle",
								desc = "Toggles the display of the Summon Felhunter string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							summonfelhunterchance = {
								order = 3,
								type = "range",
								name = "Summon Felhunter Chance",
								desc = "Chance of Summon Felhunter string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					summonvoidwalkergrp = {
						type = "group",
						handler = pootpoot,
						name = "Summon Voidwalker",
						desc = "Fear Options",
						args = {
							summonvoidwalker = {
								order = 1,
								type = "input",
								name = "Summon Voidwalker",
								desc = "Summon Voidwalker string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							summonvoidwalkertgl = {
								order = 2,
								type = "toggle",
								name = "Summon Voidwalker Toggle",
								desc = "Toggles the display of the Summon Voidwalker string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							summonvoidwalkerchance = {
								order = 3,
								type = "range",
								name = "Summon Voidwalker Chance",
								desc = "Chance of Summon Voidwalker string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					summonimpgrp = {
						type = "group",
						handler = pootpoot,
						name = "Summon Imp",
						desc = "Fear Options",
						args = {
							summonimp = {
								order = 1,
								type = "input",
								name = "Summon Imp",
								desc = "Summon Imp string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							summonimptgl = {
								order = 2,
								type = "toggle",
								name = "Summon Imp Toggle",
								desc = "Toggles the display of the Summon Imp string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							summonimpchance = {
								order = 3,
								type = "range",
								name = "Summon Imp Chance",
								desc = "Chance of Summon Imp string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					summonsuccubusgrp = {
						type = "group",
						handler = pootpoot,
						name = "Summon Succubus",
						desc = "Fear Options",
						args = {
							summonsuccubus = {
								order = 1,
								type = "input",
								name = "Summon Succubus",
								desc = "Summon Succubus string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							summonsuccubustgl = {
								order = 2,
								type = "toggle",
								name = "Summon Succubus Toggle",
								desc = "Toggles the display of the Summon Succubus string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							summonsuccubuschance = {
								order = 3,
								type = "range",
								name = "Summon Succubus Chance",
								desc = "Chance of Summon Succubus string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					summonfelguardgrp = {
						type = "group",
						handler = pootpoot,
						name = "Summon Felguard",
						desc = "Fear Options",
						args = {
							summonfelguard = {
								order = 1,
								type = "input",
								name = "Summon Felguard",
								desc = "Summon Felguard string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							summonfelguardtgl = {
								order = 2,
								type = "toggle",
								name = "Summon Felguard Toggle",
								desc = "Toggles the display of the Summon Felguard string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							summonfelguardchance = {
								order = 3,
								type = "range",
								name = "Summon Felguard Chance",
								desc = "Chance of Summon Felguard string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					soulstonegrp = {
						type = "group",
						handler = pootpoot,
						name = "Soulstone",
						desc = "Fear Options",
						args = {
							soulstonetgl = {
								order = 1,
								type = "toggle",
								name = "Soulstone Toggle",
								desc = "Enables display of Soulstone targets in say.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							soulstonechance = {
								order = 2,
								type = "range",
								name = "Soulstone Chance",
								desc = "Chance of Soulstone string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			roguespells = {
				type = "group",
				handler = pootpoot,
				name = "Rogue",
				desc = "Rogue Spells and Abilities",
				args = {
					roguedesc = {
						order = 1,
						type = "description",
						name = "Rogue Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablerogue = {
						order = 2,
						type = "execute",
						name = "Disable Rogue Spells",
						desc = "Disables all Rogue spells",
						func = "DisableRogueSpells",
					},
					sinisterstrikegrp = {
						type = "group",
						handler = pootpoot,
						name = "Sinister Strike",
						desc = "Sinister Strike Options",
						args = {
							sinisterstrike = {
								order = 1,
								type = "input",
								name = "Sinister Strike",
								desc = "Sinister Strike string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							sinisterstriketgl = {
								order = 2,
								type = "toggle",
								name = "Sinister Strike Toggle",
								desc = "Toggles the display of the Sinister Strike string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							sinisterstrikecrit = {
								order = 3,
								type = "toggle",
								name = "Sinister Strike Crit Toggle",
								desc = "Toggles the display of the Sinister Strike string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							sinisterstrikechance = {
								order = 4,
								type = "range",
								name = "Sinister Strike Chance",
								desc = "Chance of Sinister Strike string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					hemorrhagegrp = {
						type = "group",
						handler = pootpoot,
						name = "Hemorrhage",
						desc = "Hemorrhage Options",
						args = {
							hemorrhage = {
								order = 1,
								type = "input",
								name = "Hemorrhage",
								desc = "Hemorrhage string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							hemorrhagetgl = {
								order = 2,
								type = "toggle",
								name = "Hemorrhage Toggle",
								desc = "Toggles the display of the Hemorrhage string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							hemorrhagecrit = {
								order = 3,
								type = "toggle",
								name = "Hemorrhage Crit Toggle",
								desc = "Toggles the display of the Hemorrhage string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							hemorrhagechance = {
								order = 4,
								type = "range",
								name = "Hemorrhage Chance",
								desc = "Chance of Hemorrhage string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					eviscerategrp = {
						type = "group",
						handler = pootpoot,
						name = "Eviscerate",
						desc = "Eviscerate Options",
						args = {
							eviscerate = {
								order = 1,
								type = "input",
								name = "Eviscerate",
								desc = "Eviscerate string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							evisceratetgl = {
								order = 2,
								type = "toggle",
								name = "Eviscerate Toggle",
								desc = "Toggles the display of the Eviscerate string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							evisceratecrit = {
								order = 3,
								type = "toggle",
								name = "Eviscerate Crit Toggle",
								desc = "Toggles the display of the Eviscerate string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							evisceratechance = {
								order = 4,
								type = "range",
								name = "Eviscerate Chance",
								desc = "Chance of Eviscerate string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					rupturegrp = {
						type = "group",
						handler = pootpoot,
						name = "Rupture",
						desc = "Rupture Options",
						args = {
							rupture = {
								order = 1,
								type = "input",
								name = "Rupture",
								desc = "Rupture string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							rupturetgl = {
								order = 2,
								type = "toggle",
								name = "Rupture Toggle",
								desc = "Toggles the display of the Rupture string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							rupturechance = {
								order = 3,
								type = "range",
								name = "Rupture Chance",
								desc = "Chance of Rupture string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					sliceanddicegrp = {
						type = "group",
						handler = pootpoot,
						name = "Slice and Dice",
						desc = "Slice and Dice Options",
						args = {
							sliceanddice = {
								order = 1,
								type = "input",
								name = "Slice and Dice",
								desc = "Slice and Dice string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							sliceanddicetgl = {
								order = 2,
								type = "toggle",
								name = "Slice and Dice Toggle",
								desc = "Toggles the display of the Slice and Dice string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							sliceanddicechance = {
								order = 3,
								type = "range",
								name = "Slice and Dice Chance",
								desc = "Chance of Slice and Dice string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					deadlythrowgrp = {
						type = "group",
						handler = pootpoot,
						name = "Deadly Throw",
						desc = "Deadly Throw Options",
						args = {
							deadlythrow = {
								order = 1,
								type = "input",
								name = "Deadly Throw",
								desc = "Deadly Throw string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							deadlythrowtgl = {
								order = 2,
								type = "toggle",
								name = "Deadly Throw Toggle",
								desc = "Toggles the display of the Deadly Throw string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							deadlythrowcrit = {
								order = 3,
								type = "toggle",
								name = "Deadly Throw Crit Toggle",
								desc = "Toggles the display of the Deadly Throw string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							deadlythrowchance = {
								order = 4,
								type = "range",
								name = "Deadly Throw Chance",
								desc = "Chance of Deadly Throw string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					kidneyshotgrp = {
						type = "group",
						handler = pootpoot,
						name = "Kidney Shot",
						desc = "Kidney Shot Options",
						args = {
							kidneyshot = {
								order = 1,
								type = "input",
								name = "Kidney Shot",
								desc = "Kidney Shot string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							kidneyshottgl = {
								order = 2,
								type = "toggle",
								name = "Kidney Shot Toggle",
								desc = "Toggles the display of the Kidney Shot string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							kidneyshotchance = {
								order = 3,
								type = "range",
								name = "Kidney Shot Chance",
								desc = "Chance of Kidney Shot string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					backstabgrp = {
						type = "group",
						handler = pootpoot,
						name = "Backstab",
						desc = "Backstab Options",
						args = {
							backstab = {
								order = 1,
								type = "input",
								name = "Backstab",
								desc = "Backstab string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							backstabtgl = {
								order = 2,
								type = "toggle",
								name = "Backstab Toggle",
								desc = "Toggles the display of the Backstab string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							backstabcrit = {
								order = 3,
								type = "toggle",
								name = "Backstab Crit Toggle",
								desc = "Toggles the display of the Backstab string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							backstabchance = {
								order = 4,
								type = "range",
								name = "Backstab Chance",
								desc = "Chance of Backstab string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					gougegrp = {
						type = "group",
						handler = pootpoot,
						name = "Gouge",
						desc = "Gouge Options",
						args = {
							gouge = {
								order = 1,
								type = "input",
								name = "Gouge",
								desc = "Gouge string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							gougetgl = {
								order = 2,
								type = "toggle",
								name = "Gouge Toggle",
								desc = "Toggles the display of the Gouge string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							gougechance = {
								order = 3,
								type = "range",
								name = "Gouge Chance",
								desc = "Chance of Gouge string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					shivgrp = {
						type = "group",
						handler = pootpoot,
						name = "Shiv",
						desc = "Shiv Options",
						args = {
							shiv = {
								order = 1,
								type = "input",
								name = "Shiv",
								desc = "Shiv string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shivtgl = {
								order = 2,
								type = "toggle",
								name = "Shiv Toggle",
								desc = "Toggles the display of the Shiv string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shivchance = {
								order = 3,
								type = "range",
								name = "Shiv Chance",
								desc = "Chance of Shiv string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					blindgrp = {
						type = "group",
						handler = pootpoot,
						name = "Blind",
						desc = "Blind Options",
						args = {
							blind = {
								order = 1,
								type = "input",
								name = "Blind",
								desc = "Blind string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							blindtgl = {
								order = 2,
								type = "toggle",
								name = "Blind Toggle",
								desc = "Toggles the display of the Blind string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							blindchance = {
								order = 3,
								type = "range",
								name = "Blind Chance",
								desc = "Chance of Blind string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					feintgrp = {
						type = "group",
						handler = pootpoot,
						name = "Feint",
						desc = "Feint Options",
						args = {
							feint = {
								order = 1,
								type = "input",
								name = "Feint",
								desc = "Feint string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							feinttgl = {
								order = 2,
								type = "toggle",
								name = "Feint Toggle",
								desc = "Toggles the display of the Feint string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							feintchance = {
								order = 3,
								type = "range",
								name = "Feint Chance",
								desc = "Chance of Feint string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					shadowstepgrp = {
						type = "group",
						handler = pootpoot,
						name = "Shadowstep",
						desc = "Shadowstep Options",
						args = {
							shadowstep = {
								order = 1,
								type = "input",
								name = "Shadowstep",
								desc = "Shadowstep string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shadowsteptgl = {
								order = 2,
								type = "toggle",
								name = "Shadowstep Toggle",
								desc = "Toggles the display of the Shadowstep string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowstepchance = {
								order = 3,
								type = "range",
								name = "Shadowstep Chance",
								desc = "Chance of Shadowstep string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					garrotegrp = {
						type = "group",
						handler = pootpoot,
						name = "Garrote",
						desc = "Garrote Options",
						args = {
							garrote = {
								order = 1,
								type = "input",
								name = "Garrote",
								desc = "Garrote string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							garrotetgl = {
								order = 2,
								type = "toggle",
								name = "Garrote Toggle",
								desc = "Toggles the display of the Garrote string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							garrotechance = {
								order = 3,
								type = "range",
								name = "Garrote Chance",
								desc = "Chance of Garrote string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					cheapshotgrp = {
						type = "group",
						handler = pootpoot,
						name = "Cheap Shot",
						desc = "Cheap Shot Options",
						args = {
							cheapshot = {
								order = 1,
								type = "input",
								name = "Cheap Shot",
								desc = "Cheap Shot string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							cheapshottgl = {
								order = 2,
								type = "toggle",
								name = "Cheap Shot Toggle",
								desc = "Toggles the display of the Cheap Shot string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							cheapshotchance = {
								order = 3,
								type = "range",
								name = "Cheap Shot Chance",
								desc = "Chance of Cheap Shot string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					ambushgrp = {
						type = "group",
						handler = pootpoot,
						name = "Ambush",
						desc = "Ambush Options",
						args = {
							ambush = {
								order = 1,
								type = "input",
								name = "Ambush",
								desc = "Ambush string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							ambushtgl = {
								order = 2,
								type = "toggle",
								name = "Ambush Toggle",
								desc = "Toggles the display of the Ambush string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							ambushcrit = {
								order = 3,
								type = "toggle",
								name = "Ambush Crit Toggle",
								desc = "Toggles the display of the Ambush string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							ambushchance = {
								order = 4,
								type = "range",
								name = "Ambush Chance",
								desc = "Chance of Ambush string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					mutilategrp = {
						type = "group",
						handler = pootpoot,
						name = "Mutilate",
						desc = "Mutilate Options",
						args = {
							mutilate = {
								order = 1,
								type = "input",
								name = "Mutilate",
								desc = "Mutilate string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							mutilatetgl = {
								order = 2,
								type = "toggle",
								name = "Mutilate Toggle",
								desc = "Toggles the display of the Mutilate string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							mutilatecrit = {
								order = 3,
								type = "toggle",
								name = "Mutilate Crit Toggle",
								desc = "Toggles the display of the Mutilate string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							mutilatechance = {
								order = 4,
								type = "range",
								name = "Mutilate Chance",
								desc = "Chance of Mutilate string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					envenomgrp = {
						type = "group",
						handler = pootpoot,
						name = "Envenom",
						desc = "Envenom Options",
						args = {
							envenom = {
								order = 1,
								type = "input",
								name = "Envenom",
								desc = "Envenom string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							envenomtgl = {
								order = 2,
								type = "toggle",
								name = "Envenom Toggle",
								desc = "Toggles the display of the Envenom string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							envenomcrit = {
								order = 3,
								type = "toggle",
								name = "Envenom Crit Toggle",
								desc = "Toggles the display of the Envenom string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							envenomchance = {
								order = 4,
								type = "range",
								name = "Envenom Chance",
								desc = "Chance of Envenom string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					bladeflurrygrp = {
						type = "group",
						handler = pootpoot,
						name = "Blade Flurry",
						desc = "Blade Flurry Options",
						args = {
							bladeflurry = {
								order = 1,
								type = "input",
								name = "Blade Flurry",
								desc = "Blade Flurry string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							bladeflurrytgl = {
								order = 2,
								type = "toggle",
								name = "Blade Flurry Toggle",
								desc = "Toggles the display of the Blade Flurry string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							bladeflurrychance = {
								order = 3,
								type = "range",
								name = "Blade Flurry Chance",
								desc = "Chance of Blade Flurry string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					cloakofshadowsgrp = {
						type = "group",
						handler = pootpoot,
						name = "Cloak of Shadows",
						desc = "Cloak of Shadows Options",
						args = {
							cloakofshadows = {
								order = 1,
								type = "input",
								name = "Cloak of Shadows",
								desc = "Cloak of Shadows string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							cloakofshadowstgl = {
								order = 2,
								type = "toggle",
								name = "Cloak of Shadows Toggle",
								desc = "Toggles the display of the Cloak of Shadows string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							cloakofshadowspvp = {
								order = 3,
								type = "toggle",
								name = "Enable Cloak of Shadows in Battlegrounds.",
								desc = "Enables the display of the Cloak of Shadows string in Battlegrounds.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							cloakofshadowschance = {
								order = 4,
								type = "range",
								name = "Cloak of Shadows Chance",
								desc = "Chance of Cloak of Shadows string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					vanishgrp = {
						type = "group",
						handler = pootpoot,
						name = "Vanish",
						desc = "Vanish Options",
						args = {
							vanish = {
								order = 1,
								type = "input",
								name = "Vanish",
								desc = "Vanish string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							vanishtgl = {
								order = 2,
								type = "toggle",
								name = "Vanish Toggle",
								desc = "Toggles the display of the Vanish string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							vanishpvp = {
								order = 3,
								type = "toggle",
								name = "Enable Vanish in Battlegrounds.",
								desc = "Enables the display of the Vanish string in Battlegrounds.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							vanishchance = {
								order = 4,
								type = "range",
								name = "Vanish Chance",
								desc = "Chance of Vanish string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					hungerforbloodgrp = {
						type = "group",
						handler = pootpoot,
						name = "Hunger for Blood",
						desc = "Hunger for Blood Options",
						args = {
							hungerforblood = {
								order = 1,
								type = "input",
								name = "Hunger for Blood",
								desc = "Hunger for Blood string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							hungerforbloodtgl = {
								order = 2,
								type = "toggle",
								name = "Hunger for Blood Toggle",
								desc = "Toggles the display of the Hunger for Blood string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							hungerforbloodchance = {
								order = 3,
								type = "range",
								name = "Hunger for Blood Chance",
								desc = "Chance of Hunger for Blood string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					killingspreegrp = {
						type = "group",
						handler = pootpoot,
						name = "Killing Spree",
						desc = "Killing Spree Options",
						args = {
							killingspree = {
								order = 1,
								type = "input",
								name = "Killing Spree",
								desc = "Killing Spree string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							killingspreetgl = {
								order = 2,
								type = "toggle",
								name = "Killing Spree Toggle",
								desc = "Toggles the display of the Killing Spree string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							killingspreechance = {
								order = 3,
								type = "range",
								name = "Killing Spree Chance",
								desc = "Chance of Killing Spree string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					shadowdancegrp = {
						type = "group",
						handler = pootpoot,
						name = "Shadow Dance",
						desc = "Shadow Dance Options",
						args = {
							shadowdance = {
								order = 1,
								type = "input",
								name = "Shadow Dance",
								desc = "Shadow Dance string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							shadowdancetgl = {
								order = 2,
								type = "toggle",
								name = "Shadow Dance Toggle",
								desc = "Toggles the display of the Shadow Dance string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							shadowdancechance = {
								order = 3,
								type = "range",
								name = "Shadow Dance Chance",
								desc = "Chance of Shadow Dance string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			paladinspells = {
				type = "group",
				handler = pootpoot,
				name = "Paladin",
				desc = "Paladin Spells",
				args = {
					paladindesc = {
						order = 1,
						type = "description",
						name = "Paladin Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablepala = {
						order = 2,
						type = "execute",
						name = "Disable Paladin Spells",
						desc = "Disables all Paladin spells",
						func = "DisablePaladinSpells",
					},
					consecrationgrp = {
						type = "group",
						handler = pootpoot,
						name = "Consecration",
						desc = "Consecration Options",
						args = {
							consecration = {
								order = 1,
								type = "input",
								name = "Consecration",
								desc = "Consecration string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							consecrationtgl = {
								order = 2,
								type = "toggle",
								name = "Consecration Toggle",
								desc = "Toggles the display of the Consecration string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							consecrationchance = {
								order = 3,
								type = "range",
								name = "Consecration Chance",
								desc = "Chance of Consecration string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					beaconoflightgrp = {
						type = "group",
						handler = pootpoot,
						name = "Beacon of Light",
						desc = "Beacon of Light Options",
						args = {
							beaconoflight = {
								order = 1,
								type = "input",
								name = "Beacon of Light",
								desc = "Beacon of Light string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							beaconoflighttgl = {
								order = 2,
								type = "toggle",
								name = "Beacon of Light Toggle",
								desc = "Toggles the display of the Beacon of Light string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							beaconoflightchance = {
								order = 3,
								type = "range",
								name = "Beacon of Light Chance",
								desc = "Chance of Beacon of Light string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					hammeroftherighteousgrp = {
						type = "group",
						handler = pootpoot,
						name = "Hammer of the Righteous",
						desc = "Hammer of the Righteous Options",
						args = {
							hammeroftherighteous = {
								order = 1,
								type = "input",
								name = "Hammer of the Righteous",
								desc = "Hammer of the Righteous string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							hammeroftherighteoustgl = {
								order = 2,
								type = "toggle",
								name = "Hammer of the Righteous Toggle",
								desc = "Toggles the display of the Hammer of the Righteous string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							hammeroftherighteouschance = {
								order = 3,
								type = "range",
								name = "Hammer of the Righteous Chance",
								desc = "Chance of Hammer of the Righteous string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					divinestormgrp = {
						type = "group",
						handler = pootpoot,
						name = "Divine Storm",
						desc = "Divine Storm Options",
						args = {
							divinestorm = {
								order = 1,
								type = "input",
								name = "Divine Storm",
								desc = "Divine Storm string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							divinestormtgl = {
								order = 2,
								type = "toggle",
								name = "Divine Storm Toggle",
								desc = "Toggles the display of the Divine Storm string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							divinestormchance = {
								order = 3,
								type = "range",
								name = "Divine Storm Chance",
								desc = "Chance of Divine Storm string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					divineshieldgrp = {
						type = "group",
						handler = pootpoot,
						name = "Divine Shield",
						desc = "Divine Shield Options",
						args = {
							divineshield = {
								order = 1,
								type = "input",
								name = "Divine Shield",
								desc = "Divine Shield string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							divineshieldtgl = {
								order = 2,
								type = "toggle",
								name = "Divine Shield Toggle",
								desc = "Toggles the display of the Divine Shield string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							divineshieldchance = {
								order = 3,
								type = "range",
								name = "Divine Shield Chance",
								desc = "Chance of Divine Shield string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					crusaderstrikegrp = {
						type = "group",
						handler = pootpoot,
						name = "Crusader Strike",
						desc = "Crusader Strike Options",
						args = {
							crusaderstrike = {
								order = 1,
								type = "input",
								name = "Crusader Strike",
								desc = "Crusader Strike string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							crusaderstriketgl = {
								order = 2,
								type = "toggle",
								name = "Crusader Strike Toggle",
								desc = "Toggles the display of the Crusader Strike string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							crusaderstrikecrit = {
								order = 3,
								type = "toggle",
								name = "Crusader Strike Crit Toggle",
								desc = "Toggles the display of the Crusader Strike string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							crusaderstrikechance = {
								order = 4,
								type = "range",
								name = "Crusader Strike Chance",
								desc = "Chance of Crusader Strike string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					judgementgrp = {
						type = "group",
						handler = pootpoot,
						name = "Judgement",
						desc = "Judgement Options",
						args = {
							judgement = {
								order = 1,
								type = "input",
								name = "Judgement",
								desc = "Judgement string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							judgementtgl = {
								order = 2,
								type = "toggle",
								name = "Judgement Toggle",
								desc = "Toggles the display of the Judgement string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							judgementcrit = {
								order = 3,
								type = "toggle",
								name = "Judgement Crit Toggle",
								desc = "Toggles the display of the Judgement string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							judgementchance = {
								order = 4,
								type = "range",
								name = "Judgement Chance",
								desc = "Chance of Judgement string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					summonchargergrp = {
						type = "group",
						handler = pootpoot,
						name = "Summon Charger",
						desc = "Summon Charger Options",
						args = {
							summoncharger = {
								order = 1,
								type = "input",
								name = "Summon Charger",
								desc = "Summon Charger string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							summonchargertgl = {
								order = 2,
								type = "toggle",
								name = "Summon Charger Toggle",
								desc = "Toggles the display of the Summon Charger string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							summonchargerchance = {
								order = 4,
								type = "range",
								name = "Summon Charger Chance",
								desc = "Chance of Summon Charger string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					redemptiongrp = {
						type = "group",
						handler = pootpoot,
						name = "Redemption",
						desc = "Redemption Options",
						args = {
							redemption = {
								order = 1,
								type = "input",
								name = "Redemption",
								desc = "Redemption string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							redemptiontgl = {
								order = 2,
								type = "toggle",
								name = "Redemption Toggle",
								desc = "Toggles the display of the Redemption string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							redemptionchance = {
								order = 4,
								type = "range",
								name = "Redemption Chance",
								desc = "Chance of Redemption string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			priestspells = {
				type = "group",
				handler = pootpoot,
				name = "Priest",
				desc = "Priest Spells",
				args = {
					priestdesc = {
						order = 1,
						type = "description",
						name = "Priest Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disablepriest = {
						order = 2,
						type = "execute",
						name = "Disable Priest Spells",
						desc = "Disables all Priest spells",
						func = "DisablePriestSpells",
					},
					penancegrp = {
						type = "group",
						handler = pootpoot,
						name = "Penance",
						desc = "Penance Options",
						args = {
							penance = {
								order = 1,
								type = "input",
								name = "Penance",
								desc = "Penance string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							penancetgl = {
								order = 2,
								type = "toggle",
								name = "Penance Toggle",
								desc = "Toggles the display of the Penance string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							penancechance = {
								order = 3,
								type = "range",
								name = "Penance Chance",
								desc = "Chance of Penance string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					guardianspiritgrp = {
						type = "group",
						handler = pootpoot,
						name = "Guardian Spirit",
						desc = "Guardian Spirit Options",
						args = {
							guardianspirit = {
								order = 1,
								type = "input",
								name = "Guardian Spirit",
								desc = "Guardian Spirit string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							guardianspirittgl = {
								order = 2,
								type = "toggle",
								name = "Guardian Spirit Toggle",
								desc = "Toggles the display of the Guardian Spirit string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							guardianspiritchance = {
								order = 3,
								type = "range",
								name = "Guardian Spirit Chance",
								desc = "Chance of Guardian Spirit string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					dispersiongrp = {
						type = "group",
						handler = pootpoot,
						name = "Dispersion",
						desc = "Dispersion Options",
						args = {
							dispersion = {
								order = 1,
								type = "input",
								name = "Dispersion",
								desc = "Dispersion string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							dispersiontgl = {
								order = 2,
								type = "toggle",
								name = "Dispersion Toggle",
								desc = "Toggles the display of the Dispersion string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							dispersionchance = {
								order = 3,
								type = "range",
								name = "Dispersion Chance",
								desc = "Chance of Dispersion string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			deathknightspells = {
				type = "group",
				handler = pootpoot,
				name = "Death Knight",
				desc = "Death Knight Spells",
				args = {
					deathknightdesc = {
						order = 1,
						type = "description",
						name = "Death Knight Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disabledeathknight = {
						order = 2,
						type = "execute",
						name = "Disable Death Knight Spells",
						desc = "Disables all Death Knight spells",
						func = "DisableDeathKnightSpells",
					},
					acherusdeathchargergrp = {
						type = "group",
						handler = pootpoot,
						name = "Acherus Deathcharger",
						desc = "Acherus Deathcharger Options",
						args = {
							acherusdeathcharger = {
								order = 1,
								type = "input",
								name = "Acherus Deathcharger",
								desc = "Acherus Deathcharger string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							acherusdeathchargertgl = {
								order = 2,
								type = "toggle",
								name = "Acherus Deathcharger Toggle",
								desc = "Toggles the display of the Acherus Deathcharger string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							acherusdeathchargerchance = {
								order = 3,
								type = "range",
								name = "Acherus Deathcharger Chance",
								desc = "Chance of Acherus Deathcharger string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					deathgripgrp = {
						type = "group",
						handler = pootpoot,
						name = "Death Grip",
						desc = "Death Grip Options",
						args = {
							deathgrip = {
								order = 1,
								type = "input",
								name = "Death Grip",
								desc = "Death Grip string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							deathgriptgl = {
								order = 2,
								type = "toggle",
								name = "Death Grip Toggle",
								desc = "Toggles the display of the Death Grip string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							deathgripchance = {
								order = 3,
								type = "range",
								name = "Death Grip Chance",
								desc = "Chance of Death Grip string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					},
					dndeathcoilgrp = {
						type = "group",
						handler = pootpoot,
						name = "Death Coil",
						desc = "Death Coil Options",
						args = {
							dndeathcoil = {
								order = 1,
								type = "input",
								name = "Death Coil",
								desc = "Death Coil string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							dndeathcoiltgl = {
								order = 2,
								type = "toggle",
								name = "Death Coil Toggle",
								desc = "Toggles the display of the Death Coil string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							dndeathcoilcrit = {
								order = 3,
								type = "toggle",
								name = "Death Coil Crit Toggle",
								desc = "Toggles the display of the Death Coil string only on crits.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							dndeathcoilchance = {
								order = 4,
								type = "range",
								name = "Death Coil Chance",
								desc = "Chance of Death Coil string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			enchants = {
				order = 2,
				type = "group",
				handler = pootpoot,
				name = "Enchants",
				desc = "Enchant Procs",
				args = {
					enchantsdesc = {
						order = 1,
						type = "description",
						name = "Enchant Options\n\nYou can use these options to set strings that can be output to /say.\nThe strings can be set to output on crit, and/or percentage chance.",
						cmdHidden = true,
					},
					disableenchants = {
						order = 2,
						type = "execute",
						name = "Disable Enchant Procs",
						desc = "Disables all Enchant Procs",
						func = "DisableEnchants",
					},
					crusaderprocgrp = {
						type = "group",
						handler = pootpoot,
						name = "Crusader",
						desc = "Crusader Proc Options",
						args = {
							crusaderproc = {
								order = 1,
								type = "input",
								name = "Crusader",
								desc = "Crusader Proc (Holy Strength) string.",
								usage = "<string[;string...]>",
								get = "GetStringVar",
								set = "SetStringVar",
							},
							crusaderproctgl = {
								order = 2,
								type = "toggle",
								name = "Crusader Proc Toggle",
								desc = "Toggles the display of the Crusader Proc string.",
								get = "GetToggleVar",
								set = "SetToggleVar",
							},
							crusaderprocchance = {
								order = 4,
								type = "range",
								name = "Crusader Proc Chance",
								desc = "Chance of Crusader Proc string out of 100.",
								min = 0,
								max = 1,
								step = 0.01,
								get = "GetChance",
								set = "SetChance",
								isPercent = true,
							}
						}
					}
				}
			},
			general = {
				order = 1,
				type = "group",
				handler = pootpoot,
				name = "General",
				desc = "General Spells and Events",
				args = {
					bgtgl = {
						order = 1,
						type = "toggle",
						name = "Battleground Enable",
						desc = "Enables the mod in Battlegrounds.",
						get = "GetToggleVar",
						set = "SetZoneVar",
					},
					instancetgl = {
						order = 2,
						type = "toggle",
						name = "Instance Enable",
						desc = "Enables the mod in instances.",
						get = "GetToggleVar",
						set = "SetZoneVar",
					},
					showMinimap = {
						order = 3,
						type = "toggle",
						name = "Enable Minimap Icon",
						desc = "Enables the Minimap Icon.",
						get = "GetToggleVar",
						set = "SetShowMinimap",
					},
					ding = {
						order = 4,
						type = "input",
						name = "Ding",
						desc = "Level up string.",
						usage = "<string[;string...]>",
						get = "GetStringVar",
						set = "SetStringVar",
					},
					dingtgl = {
						order = 5,
						type = "toggle",
						name = "Ding Toggle",
						desc = "Toggles the display of the level up string.",
						get = "GetToggleVar",
						set = "SetToggleVar",
					},
					interrupt = {
						order = 6,
						type = "input",
						name = "Interrupt",
						desc = "Interrupt string. Works on healing spells.",
						usage = "<string[;string...]>",
						get = "GetStringVar",
						set = "SetStringVar",
					},
					interrupttgl = {
						order = 7,
						type = "toggle",
						name = "Interrupt Toggle",
						desc = "Toggles the display of the Interrupt string.",
						get = "GetToggleVar",
						set = "SetToggleVar",
					},
					interruptchance = {
						order = 8,
						type = "range",
						name = "Interrupt Chance",
						desc = "Chance of interrupt String display.",
						min = 0,
						max = 1,
						step = 0.01,
						get = "GetChance",
						set = "SetChance",
						isPercent = true,
					},
					cannibalize = {
						order = 9,
						type = "input",
						name = "Cannibalize",
						desc = "Cannibalize string.",
						usage = "<string[;string...]>",
						get = "GetStringVar",
						set = "SetStringVar",
					},
					cannibalizetgl = {
						order = 10,
						type = "toggle",
						name = "Cannibalize Toggle",
						desc = "Toggles the display of the Cannibalize string.",
						get = "GetToggleVar",
						set = "SetToggleVar",
					},
					cannibalizechance = {
						order = 11,
						type = "range",
						name = "Cannibalize Chance",
						desc = "Chance of Cannibalize String display.",
						min = 0,
						max = 1,
						step = 0.01,
						get = "GetChance",
						set = "SetChance",
						isPercent = true,
					},
					disablegeneral = {
						order = 12,
						type = "execute",
						name = "Disable General Spells",
						desc = "Disables all General spells",
						func = "DisableGeneralSpells",
					}
				}
			}
		}
	}
	return options
end

function pootpoot:SetupOptions()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("pootpoot", getpootopts())
	LibStub("AceConfig-3.0"):RegisterOptionsTable("PootPoot About", aboutopts)
	LibStub("AceConfig-3.0"):RegisterOptionsTable("PootPoot Profiles", LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db))
	self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("PootPoot About", "PootPoot")
	self.profilesFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("PootPoot Profiles", "Profiles", "PootPoot")
end